Page MenuHomePhabricator

Template {{sfn}} does not produce "template unavailable" warning to a user
Closed, ResolvedPublic

Description

Found when investigating T142290.
No warning to a user that the following template - Template:Sfn cannot be adopted.

  1. Start translating en:Józef Piłsudski to español.
  2. Go to the first paragraph (after templates) that starts with "Józef Klemens Piłsudski..." When translated, the template will look like text without any formatting.

'''Józef Klemens Piłsudski'''{{Ref label|a|a|none}}, ({{IPA-pl|ˈjuzɛf ˈklɛmɛns pʲiwˈsutskʲi|lang|Pl-Józef_Piłsudski.ogg}}; 5 December 1867 – 12 May 1935) was a [[Poland|Polish]] [[Politician|statesman]] who served as the [[Naczelnik państwa|Chief of State]] (1918–22) and [[Marshal of Poland|First Marshal]] of [[Second Polish Republic|Poland]] (from 1920). He was considered the ''[[de facto]]'' leader (1926–35) of the Second Polish Republic as the [[Ministry of National Defence (Poland)|Minister of Military Affairs]]. From World War I he had great power in [[Politics of Poland|Polish politics]] and was a distinguished figure on the international scene.{{sfn|Plach|2006|p=14}} He is viewed as a father of the Second Polish Republic re-established in 1918, 123 years after the 1795 [[Partitions of Poland]] by [[Austria-Hungary|Austria]], [[Prussia]] and [[Russian Empire|Russia]].{{r|DroSzwa95_911|Lieven94_159}}{{sfn|Lerski|1996|loc=[https://books.google.com/?id=QTUTqE2difgC&pg=PA441 p. 441]}}{{sfn|Held|1992|loc=[https://books.google.com/books?id=5O5NkwX-NnYC&pg=PA249 p. 249]}}

  1. To see if the "template unavailable" warning will be displayed, delete the previous paragraph (cause it contains another not-adopted template). Go and translate the following paragraph: "The 1937 relocation of his remains, made by his long-standing adversary Adam Sapieha...". It will give the same text-like reference and no warning about unavailable template:

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMay 13 2019, 10:24 PM
Etonkovidova renamed this task from Template {{sfn}} does not produce template unavailable warning to a user to Template {{sfn}} does not produce "template unavailable" warning to a user.Jun 4 2019, 8:32 AM
Etonkovidova updated the task description. (Show Details)
Etonkovidova updated the task description. (Show Details)
santhosh updated the task description. (Show Details)Jun 19 2019, 6:07 AM

Go to the first paragraph (after templates) that starts with "Józef Klemens Piłsudski..." When translated, the template will look like text without any formatting.

This plain text reference links are fixed in T216809: CX2: Wrong template is added despite being connected in Wikidata using https://gerrit.wikimedia.org/r/517796

Etonkovidova closed this task as Resolved.Jun 21 2019, 1:04 PM
Etonkovidova claimed this task.

The scope of the filed issue was about not informing users that a template cannot be adopted ("The template unavailable" warning was not displayed even though the template was not found for the target language). Since the plain text reference links are being fixed in a different task, I mark this issue as Resolved.